Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  kopieren und editieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   kopieren und editieren (1304 mal gelesen)
carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

Autodesk Civil 3D 2014
Revit 2016
Vault 2014

erstellt am: 18. Jul. 2004 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo alle zusammen,

besitze bescheidene lisp-kenntnisse und wollte nun mal mein erstes progrämmchen machen, ne. vielleicht gibt es tips, sicher auch komplettlösungen, mir ist wichtig, dass ich es verstehe. ich streng mich auch an, versprochen.
also:
ich kopiere oft einen text, den ich daraufhin editiere. das sind also zwei befehle. gern würde ich nun daraus einen befehl kreieren, da ich das wie gesagt total of machen. bin über hilfe dankbar.
ich glaub, das geht auch mit den icons irgendwie, wer kann mir das erklären bzw. welche methoden sind hierbei überhaupt sinnvoll?

vielen dank im voraus.

carmen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Proxy
Ehrenmitglied
Stateless-DHCP v6-Paketfragmentierer


Sehen Sie sich das Profil von Proxy an!   Senden Sie eine Private Message an Proxy  Schreiben Sie einen Gästebucheintrag für Proxy

Beiträge: 1627
Registriert: 13.11.2003

Tastaturen, Mäuse,
Pladden, ...,
AutoCADs 200X, SWX 2kX

erstellt am: 18. Jul. 2004 15:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Eigentlich reicht für deine Aufgabe ein einfaches Macro mit Objekt kopieren und editieren mit dem Aufruf des zuletzt (_last) verwendetes Objektes. Ein Lisp ist da wie mit Kanonen auf Ameisen schiessen.

_copy; .... ; _ddedit;_last;

------------------
"Lisp?!?! Why the Hell did you pick the most arcane, obscure, and hopelessly-rooted-in-the-computer-science-department language in the world for an AutoCAD programming language?"  Read the whole story: The Autodesk File ca. 890 Seiten | 7500 KB PDF

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

erstellt am: 18. Jul. 2004 19:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

das klappt aber leider nicht so richtig. er kopiert nur. oder mach ich da was falsch.

carmelli

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

-Firma:
Lenovo S30 + 2x Acer B246HL, Win7 x64 Enterprise
AutoCAD 10 bis 2014
ELCAD 3.5 bis 7.12

erstellt am: 19. Jul. 2004 08:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich


_ced.lsp.txt

 
Hallo,

Zitat:
Original erstellt von carmelli76:
ich kopiere oft einen text, den ich daraufhin editiere. das sind also zwei befehle. gern würde ich nun daraus einen befehl kreieren, da ich das wie gesagt total of machen. bin über hilfe dankbar.

Hab' da mal so ein Proggi geschrieben, vielleicht genügt es Dir ja! 

Funktioniert mit Texten und Blöcke mit Attributen!

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

erstellt am: 19. Jul. 2004 11:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo,

spitzenmässig erwin, da freu ich mich aber und es funzt einwandfrei. kannst du mir nun auch noch erklären, warum das vorher vorgeschlagene makro nicht so richtig funktionier, oder bzw. welche kryptischen zeichen ich genau für die schaltfläche eingeben muss?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

-Firma:
Lenovo S30 + 2x Acer B246HL, Win7 x64 Enterprise
AutoCAD 10 bis 2014
ELCAD 3.5 bis 7.12

erstellt am: 19. Jul. 2004 12:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo,

Zitat:
Original erstellt von carmelli76:
spitzenmässig erwin, da freu ich mich aber und es funzt einwandfrei.

Dann freud's mich auch! 

Zitat:
Original erstellt von carmelli76:
[B]kannst du mir nun auch noch erklären, warum das vorher vorgeschlagene makro nicht so richtig funktionier, ...


Ja ... dass von Proxy vorgeschlagene Makro war sehr "oberflächlich" geschrieben, da fehlte einiges (siehe "..." eben)!

Zitat:
Original erstellt von carmelli76:
... oder bzw. welche kryptischen zeichen ich genau für die schaltfläche eingeben muss?

Ist nicht so einfach, da bei "Kopieren" einige Parameter und Eingaben anfallen!

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

otterloh
Mitglied



Sehen Sie sich das Profil von otterloh an!   Senden Sie eine Private Message an otterloh  Schreiben Sie einen Gästebucheintrag für otterloh

Beiträge: 183
Registriert: 27.06.2001

AutoCAD 2008, 2010
Vista, Win7

erstellt am: 19. Jul. 2004 13:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Carmen,
so funktioniert Proxy's funktion.

Die letzte Zeile zeigt Dir den erforderlichen Eintrag in die *.mnu

**TB_MODIFY_II
ID_TbModifII [_Toolbar("Ändern II", _Floating, _Hide, 100, 270, 1)]
ID_Draworder [_Button("Zeichnungsreihenfolge",ICON_16_DRWORD,ICON_16_DRWORD)]^C^C_draworder
            [--]
ID_Hatchedit [_Button("Schraffur bearbeiten", ICON_16_HATEDI, ICON_16_HATEDI)]^C^C_hatchedit
ID_Pedit    [_Button("Polylinien bearbeiten", ICON_16_PEDIT, ICON_16_PEDIT)]^C^C_pedit
ID_Splinedit [_Button("Spline bearbeiten", ICON_16_SPLEDI, ICON_16_SPLEDI)]^C^C_splinedit
ID_Mledit    [_Button("Multilinien bearbeiten", ICON_16_MLEDIT, ICON_16_MLEDIT)]^C^C_mledit
ID_AtteditSin[_Button("Attribute bearbeiten", ICON_16_ATTEDI, ICON_16_ATTEDI)]^C^C_attedit
ID_Ddedit    [_Button("Text bearbeiten", ICON_16_TEXEDI, ICON_16_TEXEDI)]^C^C_ddedit
            [_Button("Text copy edit", ICON_16_TEXED, ICON_16_TEXEDI)]^c^c_copy;\\\\_ddedit;_last

Nach dem Eintrag in die *.mnu
*.mnc , *.mnr , *.mns löschen (vorher sichern)
AutoCad neu starten.

------------------
Gruß Werner
http://Meyer-Werner.bei.T-Online.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

erstellt am: 19. Jul. 2004 13:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo erwin,

ich habe mal den orginal befehl von der schaltfläche kopieren kopiert und auf die neue eingefügt. das hat dann aber auch nicht geklappt. irgendwie beendet er den befehl sofort wieder, nachdem ich selbigen aufgerufen habe.
vielleicht kannst du mir, ausser die hilfeseiten, mal eine nette zusammenstellung nenne, wo ich mal eine erklärung über die schaltflächenmakros mädchengerecht nachlesen kann?

vielen dank jedenfalls nochmals für das tolle progrämmchen, auch wenn ich mich jetzt gar nicht selbst anstrengen musste. ich selbst hätte das auch niemals mit meinem derzeitigen wissenstand so einfach hingekriegt. die hälfte der befehle und den zugehörigen syntax sind für mich sowieso noch wie japanisch.

viele grüsse aus berlin.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

-Firma:
Lenovo S30 + 2x Acer B246HL, Win7 x64 Enterprise
AutoCAD 10 bis 2014
ELCAD 3.5 bis 7.12

erstellt am: 20. Jul. 2004 09:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo,

Zitat:
Original erstellt von carmelli76:
ich habe mal den orginal befehl von der schaltfläche kopieren kopiert und auf die neue eingefügt. das hat dann aber auch nicht geklappt. irgendwie beendet er den befehl sofort wieder, nachdem ich selbigen aufgerufen habe.

Aha ... ?!

Zitat:
Original erstellt von carmelli76:
vielleicht kannst du mir, ausser die hilfeseiten, mal eine nette zusammenstellung nenne, wo ich mal eine erklärung über die schaltflächenmakros mädchengerecht nachlesen kann?

Hmm, so aus dem Stehgreif ... leider nicht ... 

Aber die Befehlszeile hinten einen Button sollte in etwas so aussehen: "^C^C(if (not c:ced)(load "_ced.lsp"));ced " (ohne den " natürlich)!!!

Bez. "irgendwie beendet er den befehl sofort wieder": Da muß wohl irrgendwo ein klein Bug drinnen sein, den vor Acad2004 hat's ohne Probleme funktioniert, da lief die Scheife!?! Muß ich mir mal ansehen!

Zitat:
Original erstellt von carmelli76:
vielen dank jedenfalls nochmals für das tolle progrämmchen, auch wenn ich mich jetzt gar nicht selbst anstrengen musste. ich selbst hätte das auch niemals mit meinem derzeitigen wissenstand so einfach hingekriegt. die hälfte der befehle und den zugehörigen syntax sind für mich sowieso noch wie japanisch.

Null Problemo! Ich arbeite auch schon lange genug mit Acad (seit Version 10) und hab' mich auch schon am Anfang immer wieder mal mit LISP "herumgespielt"!  Bei LISP ist es wie überall: kommt Zeit,  kommt Rat und wenn man nicht immer ein wenig "herumspielt" verliert man schnell den Anschluß! Am Anfang tat ich mich genauso schwer mit den Syntax usw.!!!

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

erstellt am: 20. Jul. 2004 09:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo

Zitat:
Original erstellt von carmelli76:
irgendwie beendet er den befehl sofort wieder, nachdem ich selbigen aufgerufen habe.

Also, dass stimmt schon so. Der Befehl ist so geschrieben, dass er nur einmal durchläuft, man kann ja mit der rechten Maustaste den Befehl eh wiederholen!

Falls Du es aber trotzdem in einer Schleife habe willst, gibt's auch eine einfache Möglichkeit: der Befehl NOCHMAL!!!

Kann man auch leicht in die Buttonzeile einbauen:

"^C^C(if (not c:ced)(load "_ced.lsp"));nochmal;ced "

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

vision
Mitglied



Sehen Sie sich das Profil von vision an!   Senden Sie eine Private Message an vision  Schreiben Sie einen Gästebucheintrag für vision

Beiträge: 113
Registriert: 27.10.2003

AutoCAD 2015
Expresstools
Windows 10

erstellt am: 20. Jul. 2004 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2007,cadMANdu
Win 2000 XP

erstellt am: 20. Jul. 2004 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Original erstellt von otterloh:
^c^c_copy;\\\\_ddedit;_last
das funukelt ja prima
Zitat:


Nach dem Eintrag in die *.mnu
*.mnc , *.mnr , *.mns löschen (vorher sichern)
AutoCad neu starten.

@ otterloh
aber das so pauschal zu empfehlen finde ich doch recht mutig.
was ist denn, wenn schon mal Änderungen an den Werkzeugkästchen vorgenommen wurden?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

otterloh
Mitglied



Sehen Sie sich das Profil von otterloh an!   Senden Sie eine Private Message an otterloh  Schreiben Sie einen Gästebucheintrag für otterloh

Beiträge: 183
Registriert: 27.06.2001

AutoCAD 2008, 2010
Vista, Win7

erstellt am: 20. Jul. 2004 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@ AsSchu
aber das so pauschal zu empfehlen finde ich doch recht mutig.
was ist denn, wenn schon mal Änderungen an den Werkzeugkästchen vorgenommen wurden?

*.mnc , *.mnr , *.mns VORHER SICHERN

------------------
Gruß Werner
http://Meyer-Werner.bei.T-Online.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

erstellt am: 20. Jul. 2004 14:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

also,

jetzt habischs. das ist prima. aschus' methode hat jefunzt. verstehen tue ich den synthax leider nicht, aber da muss ich mich mal dahinterklemmen. soweit soschön. jetzt bin ich gerüstet. ich werd natürlich weiter am ball bleiben und mir den schaltflächenmakrosynthax mal reinziehen, vielleicht hab ich ja erfolg.
otterloh, jetzt war ich zu faul, vorher mnu-dateien und drgl. zu sichern, aber ich hab vorher natürlich ein neues schaltflächensymbol erstellt. da kann mir doch von den orginalbefehlen nix verschütt gegangen sein, oder. funzt jedenfalls noch wie vorher.

viele grüsse aus dem heute endlich mal sonnigen berlin.
es ist sommer.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2007,cadMANdu
Win 2000 XP

erstellt am: 20. Jul. 2004 15:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von otterloh:
@ AsSchu
aber das so pauschal zu empfehlen finde ich doch recht mutig.
was ist denn, wenn schon mal Änderungen an den Werkzeugkästchen vorgenommen wurden?

*.mnc , *.mnr , *.mns VORHER SICHERN



@otterloh
warum gibst du nicht den Tipp das gleich in der .mns zu schreiben?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

erstellt am: 22. Jul. 2004 14:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hey erwin,

arbeite mit deinem tollen progrämmchen, funzt super.
wie kann ich es umändern, dass ich:
1. das objekt auch schon vor dem befehlsaufruf wählen kann und
2. der befehl solange durchläuft, bis ich ihn abreche bzw. ich vorher die option mehrfach wählen kann?

viele grüsse aus dem heute verregtneten berlin.

_________________
ernst ist das leben, heiter ist die kunst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

-Firma:
Lenovo S30 + 2x Acer B246HL, Win7 x64 Enterprise
AutoCAD 10 bis 2014
ELCAD 3.5 bis 7.12

erstellt am: 23. Jul. 2004 08:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo!

Zitat:
Original erstellt von carmelli76:
arbeite mit deinem tollen progrämmchen, funzt super.

Freud' mich zu Hören! 

Zitat:
Original erstellt von carmelli76:
wie kann ich es umändern, dass ich:
1. das objekt auch schon vor dem befehlsaufruf wählen kann und
2. der befehl solange durchläuft, bis ich ihn abreche bzw. ich vorher die option mehrfach wählen kann?


Zu 1.) Dass mußte ich mir mal ansehen, was man da ändern müßte das dies so funktioniert!

Zu 2.) Siehe Darüber!

Falls Du selber es probieren willst: die Objektabfrage ist zw. Zeile 11 und 43!

Zitat:
Original erstellt von carmelli76:
viele grüsse aus dem heute verregtneten berlin.

Danke und retour aus dem - noch schönen - Wien.

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 23. Jul. 2004 09:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@AsSchu:

Zitat:
Original erstellt von AsSchu:

@otterloh
warum gibst du nicht den Tipp das gleich in der .mns zu schreiben?


Weil das IMHOIn my humble opinion = Meiner bescheidenen Meinung nach Blödsinn ist. Die mns wird von AutoCAD automatisch aus der mnu generiert. Warum ist das wohl so? Weil die mnu für User-Anpassungen gedacht ist. Hier kann man frei von der Leber weg rumkommentieren, in der mns werden die ganzen Kommentare schön rausgelassen.
Unkommentierte Anpassungen sind doch nur die Hälfte wert, oder?
Natürlich funktionieren Änderungen an der mns, aber vorgesehen ist es so eben nicht.


------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

otterloh
Mitglied



Sehen Sie sich das Profil von otterloh an!   Senden Sie eine Private Message an otterloh  Schreiben Sie einen Gästebucheintrag für otterloh

Beiträge: 183
Registriert: 27.06.2001

AutoCAD 2008, 2010
Vista, Win7

erstellt am: 23. Jul. 2004 09:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@Marc
ich schließe mich Deiner Antwort an.

Ich kenne AutoCAD seit der Vers. 11 – da gab es keine *.mns – und das wird für mich auch so bleiben.
Mit AutoCAD würde ich kein Menü ändern.

------------------
Gruß Werner
http://Meyer-Werner.bei.T-Online.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2007,cadMANdu
Win 2000 XP

erstellt am: 23. Jul. 2004 10:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von marc.scherer:
@AsSchu:

Weil das IMHOIn my humble opinion = Meiner bescheidenen Meinung nach Blödsinn ist. Die mns wird von AutoCAD automatisch aus der mnu generiert. Warum ist das wohl so? Weil die mnu für User-Anpassungen gedacht ist. Hier kann man frei von der Leber weg rumkommentieren, in der mns werden die ganzen Kommentare schön rausgelassen.
Unkommentierte Anpassungen sind doch nur die Hälfte wert, oder?
Natürlich funktionieren Änderungen an der mns, aber vorgesehen ist es so eben nicht.



Da haben wir uns aber gründlich missverstanden.
Ich schreibe natürlich meine Änderungen auch alle in die .mnu.
Der "normale" Nutzer wird das aber zuerst über das Anpassen der Werkzeugkästen über die Schaltflächen machen.
Und diese Änderungen stehen nun halt mal in der .mns.
wenn man diese nun löscht und dann die .mnu wieder lädt, sind alle Anpassungen verschwunden.
deshalb gebe ich meinen normalen Usern immer den Tipp das in die .mns zu schreiben.
Wieso eigentlich 2 Dateien da sind?
Nunja,  es ist so gedacht, dass auch mehrere User an einer Workstation arbeiten können. Da ist es dann nicht immer angebracht, dass die .mnu verändert wird; oder?

Ciao

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 23. Jul. 2004 10:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@AsSchu,
ich wieß ja nicht wieviel Zeit Deine User so haben, daß sie noch an der Acad-GUI rumschrauben können...
Bei uns läuft das so, daß einer der Anpassungswünsche hat mich fragt und ich ihm das dann einbaue. Da gibt es dann auch keinerlei Probleme mit irgendwelchen verschwindenden Toolbars :-)...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1632
Registriert: 27.06.2003

ACAD 2007,cadMANdu
Win 2000 XP

erstellt am: 23. Jul. 2004 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

@ marc

Du glaubst garnicht wer hier was ändert :-))
und es dann nicht mehr klappt.

-Oh Gott mein acad läuft nicht mehr-

Schönes Wochenende

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

erstellt am: 23. Jul. 2004 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hi,

Wegen Deiner Wünsche ...

Zitat:
Original erstellt von carmelli76:
1. das objekt auch schon vor dem befehlsaufruf wählen kann ...

Da ich für die Auswahl (entsel) verwende, funktioniert die "Vorwahl" eines Objektes nicht, ich müßte das Ganze auf (ssget) umprogrammieren ... mal sehen ob ich Zeit dafür aufbringen kann ...

Zitat:
Original erstellt von carmelli76:
2. der befehl solange durchläuft, bis ich ihn abreche bzw. ich vorher die option mehrfach wählen kann?

Würde auch ein "tieferer" Eingriff sein, eine Endlosschleife mit Ausgang wäre noch einfacher, eine "Mehrfach" Option ist etwas Aufwendiger ... aber alles ist/wäre machbar! 

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

carmelli76
Mitglied
CAD/GIS Teamleitung


Sehen Sie sich das Profil von carmelli76 an!   Senden Sie eine Private Message an carmelli76  Schreiben Sie einen Gästebucheintrag für carmelli76

Beiträge: 553
Registriert: 05.07.2004

Autodesk Civil 3D 2014
Revit 2016
Vault 2014

erstellt am: 23. Jul. 2004 13:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hey erwin,
das ist total nett, dass du dich da so reinhängst. es sind ja nur kleine verbesserungen. ich werd mich mal selber dranhängen und versuchen, es umzuschreiben. du bist ja nicht mein persönlicher lispprogrammierer, wäre sicher nicht schlecht, wenn ich sowas hätte, kann ich mir aber gar nicht leisten. will es ausserdem auch selber können... 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Erwin Fortelny
Mitglied
Tech. Zeichner


Sehen Sie sich das Profil von Erwin Fortelny an!   Senden Sie eine Private Message an Erwin Fortelny  Schreiben Sie einen Gästebucheintrag für Erwin Fortelny

Beiträge: 871
Registriert: 13.12.2001

erstellt am: 23. Jul. 2004 14:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für carmelli76 10 Unities + Antwort hilfreich

Hallo,

Zitat:
Original erstellt von carmelli76:
das ist total nett, dass du dich da so reinhängst.

Naja, hat ja auch einen gewissen Eigennutzten: wer Rastet, der Rostet, auch bei Lisp! 

Zitat:
Original erstellt von carmelli76:
es sind ja nur kleine verbesserungen. ich werd mich mal selber dranhängen und versuchen, es umzuschreiben.

OK ... mal sehen was dann bei einen jedem rauskommt!

Zitat:
Original erstellt von carmelli76:
du bist ja nicht mein persönlicher lispprogrammierer, wäre sicher nicht schlecht, wenn ich sowas hätte, kann ich mir aber gar nicht leisten. will es ausserdem auch selber können... 

*LOL* ... 

------------------
Servus, Erwin
--

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz